/*
 *  debug.h - debug functions
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef _DEBUG_H
#define _DEBUG_H

#include <stdint.h>
#include "osdep.h"

#define	DEBUG_FILE	"lx.debug"

#ifdef DEBUG
#	define DEBUG_FUNC(fnc)		debug_print_func(__FILE__, fnc, __LINE__)
#	define DEBUG_STR(var, val)	debug_print_strvalue(var, (const char *)(val), __LINE__)
#	define DEBUG_INT(var, val)	debug_print_intvalue(var, (val), __LINE__)
#else
#	define DEBUG_FUNC(fnc)		
#	define DEBUG_STR(var, val)	
#	define DEBUG_INT(var, val)	
#endif /* DEBUG */


void debug_print_func(const char * file, const char *func, uint32_t line);
void debug_print_strvalue(const char *variable, const char *value, uint32_t line);
void debug_print_intvalue(const char *variable, const int value, uint32_t line);

#endif /* _DEBUG_H */
