/*
 *  osdep.h - compatibility definitions (between Linux and MinGW)
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef OSDEP_H
#define OSDEP_H

/* force HAVE_CONFIG_H */
#define HAVE_CONFIG_H	1

#ifdef WIN_GNU
#undef WIN_GNU
#endif

/* for compilation by MinGW */
//#if defined(WIN32) && (defined(__USE_GNU) || defined(__GNUC__))
//#define WIN_GNU		1
//#include "config_mingw.h"
//#elif defined(HAVE_CONFIG_H)
#include "config.h"
//#endif

#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif

#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif

#ifdef HAVE_STDARG_H
#include <stdarg.h>
#endif

#ifdef HAVE_INTTYPES_H
#include <inttypes.h>
#endif

#ifdef HAVE_STDINT_H
#include <stdint.h>
#endif

#ifdef HAVE_CTYPE_H
#include <ctype.h>
#endif

#ifdef HAVE_STRING_H
#include <string.h>
#endif

#ifdef HAVE_STRING_H
#include <strings.h>
#endif

#ifdef HAVE_SYS_STAT_H
#include <sys/stat.h>
#endif

#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#ifdef HAVE_MATH_H
#include <math.h>
#endif

#ifdef HAVE_DIRENT_H
#include <dirent.h>
#endif


#ifndef __off_t
#	ifdef _off_t
#		define __off_t       _off_t			// for MinGW
#	else
#		define __off_t       long
#	endif /* _off_t */
#endif /* __off_t */

#ifndef __mode_t
#	ifdef _mode_t
#		define __mode_t		_mode_t			// for MinGW
#	else
#		define __mode_t		unsigned short
#	endif /* _mode_t */
#endif /* __mode_t */

#define DIR_DELIMITER	"/"		/* for MinGW may be '\\' */

#endif /* OSDEP_H */
